#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(vector<int> A) {
	int n=A.size();
	map<int,int>mp, bati;
	for(int i=0; i<n; i++){
		mp[A[i]]++;
	}
	vector<int>fi,se;
	for(int i=0; i<n; i++){
		bati[A[i]]++;
		if(bati[A[i]]>mp[A[i]]/2){
			se.push_back(i);
		}
		else{
			fi.push_back(i);
		}
		
	}
	for(int i=0; i<se.size(); i++){
		fi.push_back(se[i]);
	}
	return fi;
}